Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | PROPERTY | CONSTR | METHOD | DETAIL: FIELD | PROPERTY | CONSTR | METHOD

## org.codehaus.groovy.grails.web.mime
[Groovy] Class DefaultAcceptHeaderParser

    java.lang.Object
      org.codehaus.groovy.grails.web.mime.DefaultAcceptHeaderParser

    class DefaultAcceptHeaderParser

Parsed the HTTP accept header into a a list of MimeType instances in the order of priority. Priority is dictated by the order of the mime entries and the associated q parameter. The higher the q parameter the higher the prioirity.

Authors:
  Graeme Rocher

Since:
  1.0

Property Summary
`static java.lang.Object` | `LOG`

Method Summary
`MimeType[]` | `parse(java.lang.String header)`

Methods inherited from class java.lang.Object
java.lang.Object#wait(), java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Property Detail

### LOG

    static final java.lang.Object LOG

Method Detail

### parse

    MimeType[] parse(java.lang.String header)

Groovy Documentation